Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src nbmake bootstrap: silent configure if MAKEVERBOSE==0



details:   https://anonhg.NetBSD.org/src/rev/cd8443b786be
branches:  trunk
changeset: 934457:cd8443b786be
user:      lukem <lukem%NetBSD.org@localhost>
date:      Sat Jun 13 11:42:47 2020 +0000

description:
nbmake bootstrap: silent configure if MAKEVERBOSE==0

Be consistent with the silencing of configure in tools/
and suppress the output in build.sh configure of nbmake

diffstat:

 build.sh |  11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

diffs (38 lines):

diff -r 1472dde413e5 -r cd8443b786be build.sh
--- a/build.sh  Sat Jun 13 11:39:43 2020 +0000
+++ b/build.sh  Sat Jun 13 11:42:47 2020 +0000
@@ -1,5 +1,5 @@
 #! /usr/bin/env sh
-#      $NetBSD: build.sh,v 1.339 2020/05/24 04:55:53 rin Exp $
+#      $NetBSD: build.sh,v 1.340 2020/06/13 11:42:47 lukem Exp $
 #
 # Copyright (c) 2001-2011 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -1662,12 +1662,17 @@
        if ! ${do_rebuildmake}; then
                return
        fi
+       
+       # Silent configure with MAKEVERBOSE==0
+       if [ ${MAKEVERBOSE:-2} -eq 0 ]; then
+               configure_args=--silent
+       fi
 
        statusmsg "Bootstrapping ${toolprefix}make"
        ${runcmd} cd "${tmpdir}"
        ${runcmd} env CC="${HOST_CC-cc}" CPPFLAGS="${HOST_CPPFLAGS}" \
                CFLAGS="${HOST_CFLAGS--O}" LDFLAGS="${HOST_LDFLAGS}" \
-           ${HOST_SH} "${TOP}/tools/make/configure" ||
+           ${HOST_SH} "${TOP}/tools/make/configure" ${configure_args} ||
        ( cp ${tmpdir}/config.log ${tmpdir}-config.log
              bomb "Configure of ${toolprefix}make failed, see ${tmpdir}-config.log for details" )
        ${runcmd} ${HOST_SH} buildmake.sh ||
@@ -1937,7 +1942,7 @@
        eval cat <<EOF ${makewrapout}
 #! ${HOST_SH}
 # Set proper variables to allow easy "make" building of a NetBSD subtree.
-# Generated from:  \$NetBSD: build.sh,v 1.339 2020/05/24 04:55:53 rin Exp $
+# Generated from:  \$NetBSD: build.sh,v 1.340 2020/06/13 11:42:47 lukem Exp $
 # with these arguments: ${_args}
 #
 



Home | Main Index | Thread Index | Old Index